class JoinedTeamUser < ApplicationRecord
  # validates_associated :team, on: :create
  # validates_associated :user, on: :create
  validates_uniqueness_of :user_id, scope: :team_id, message: "user already part of this team"

  belongs_to :user
  belongs_to :team
end
